Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet
Class SupervisedHebbianNetwork

    java.lang.Object
      java.util.Observable
          org.neuroph.core.NeuralNetwork
              org.neuroph.nnet.SupervisedHebbianNetwork

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class SupervisedHebbianNetwork

extends NeuralNetwork

Hebbian neural network with supervised Hebbian learning algorithm. In order to work this network needs aditional bias neuron in input layer which is allways 1 in training set!

See Also:
  Serialized Form

Constructor Summary
`SupervisedHebbianNetwork(int inputNeuronsNum, int outputNeuronsNum)` Creates an instance of Supervised Hebbian Network net with specified number neurons in input and output layer
`SupervisedHebbianNetwork(int inputNeuronsNum, int outputNeuronsNum, TransferFunctionType transferFunctionType)` Creates an instance of Supervised Hebbian Network with specified number of neurons in input layer and output layer, and transfer function

Method Summary

Methods inherited from class org.neuroph.core.NeuralNetwork
`addLayer, addLayer, addPlugin, calculate, createConnection, getInputNeurons, getLayerAt, getLayers, getLayersCount, getLayersIterator, getLearningRule, getLearningThread, getNetworkType, getOutput, getOutputAsArray, getOutputNeurons, getPlugin, indexOf, initializeWeights, initializeWeights, initializeWeights, learn, learnInNewThread, learnInNewThread, learnInSameThread, learnInSameThread, load, load, notifyChange, pauseLearning, randomizeWeights, removeLayer, removeLayerAt, removePlugin, reset, resumeLearning, run, save, setInput, setInput, setInputNeurons, setLearningRule, setNetworkType, setOutputNeurons, stopLearning, toString`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SupervisedHebbianNetwork

    public SupervisedHebbianNetwork(int inputNeuronsNum,
                                    int outputNeuronsNum)

  Creates an instance of Supervised Hebbian Network net with specified number neurons in input and output layer

  Parameters:
    `inputNeuronsNum` - number of neurons in input layer
    `outputNeuronsNum` - number of neurons in output layer

### SupervisedHebbianNetwork

    public SupervisedHebbianNetwork(int inputNeuronsNum,
                                    int outputNeuronsNum,
                                    TransferFunctionType transferFunctionType)

  Creates an instance of Supervised Hebbian Network with specified number of neurons in input layer and output layer, and transfer function

  Parameters:
    `inputNeuronsNum` - number of neurons in input layer
    `outputNeuronsNum` - number of neurons in output layer
    `transferFunctionType` - transfer function type id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD